Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.publish.maven.tasks
[Java] Class GenerateMavenPom

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.publish.maven.tasks.GenerateMavenPom

    @Incubating
    public class GenerateMavenPom
    extends DefaultTask

Generates a Maven module descriptor (POM) file.

Since:
  1.4

Constructor Summary
`GenerateMavenPom(FileResolver fileResolver)`

Method Summary
`void` | `doGenerate()`
`File` | `getDestination()` The file the POM will be written to.
`MavenPom` | `getPom()` The Maven POM.
`void` | `setDestination(Object destination)` Sets the destination the descriptor will be written to.
`void` | `setPom(MavenPom pom)`

Constructor Detail

### GenerateMavenPom

    @Inject
    public GenerateMavenPom(FileResolver fileResolver)

Method Detail

### doGenerate

    @TaskAction
    public void doGenerate()

### getDestination

    @OutputFile
    public File getDestination()

  The file the POM will be written to.
  Returns:
    The file the POM will be written to

### getPom

    public MavenPom getPom()

  The Maven POM.
  Returns:
    The Maven POM.

### setDestination

    public void setDestination(Object destination)

  Sets the destination the descriptor will be written to. The value is resolved with Project.file
  Parameters:
    `destination` - The file the descriptor will be written to.

### setPom

    public void setPom(MavenPom pom)

Gradle API 1.10